#
#       Makefile for uipack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = uic2d.f uiconv.f uicrgb.f uifpac.f uiiget.f uiiqnp.f  \
              uilget.f uilqnp.f uipcmp.f uipda2.f uipdat.f uipdaz.f \
              uiqfnm.f uirget.f uirqnp.f uixbar.f uiybar.f uic3d.f  \
              uipda3.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

